# gitops
This repository contains core services for my kubernetes cluster which are
- MetalLB - LoadBalancer
- Ingress Nginx - Ingress Controller
- CSI NFS - PVC
- PiHole and ExternalDNS - LAN DNS
- ArgoCD - GitOps for my other services
## How to use

1. Get the secrets
Either manually put your secrets in .env or run `./scripts/bw2secrets` - TODO

2. Apply Kustomizations
`kubectl apply -k .`

3. Install all the apps
`helmfile apply`

4. Profit!